Skip to main content
DELETE
/
v0
/
testClocks
/
{id}
Delete
curl --request DELETE \
  --url https://api.paygentic.io/v0/testClocks/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.paygentic.io/v0/testClocks/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.paygentic.io/v0/testClocks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "tc_m1n2o3p4q5r6s7t8",
  "createdAt": "2024-01-01T00:00:00Z",
  "currentTime": "2024-03-31T23:59:59Z",
  "deletedAt": "2024-04-01T10:00:00Z",
  "description": "Test clock for quarterly subscription billing",
  "merchantId": "org_u9v0w1x2y3z4a5b6",
  "name": "Quarterly Billing Test",
  "updatedAt": "2024-03-31T23:59:59Z"
}
{
"message": "The requested resource was not found",
"error": "not_found"
}
{
"message": "The requested resource was not found",
"error": "not_found"
}
{
"message": "The requested resource was not found",
"error": "not_found"
}
{
"message": "The requested resource was not found",
"error": "not_found"
}

Authorizations

Authorization
string
header
required

API key authentication

Path Parameters

id
string
required

The unique identifier of the test clock

Pattern: ^tc_[a-zA-Z0-9]{16}$

Response

Test clock deleted successfully

id
string
required

Unique identifier for the test clock

Pattern: ^tc_[a-zA-Z0-9]{16}$
createdAt
string<date-time>
required

When the test clock was created

currentTime
string<date-time>
required

The simulated current time of the test clock

merchantId
string
required

The merchant organization that owns this test clock

updatedAt
string<date-time>
required

When the test clock was last updated

deletedAt
string<date-time> | null

When the test clock was deleted (if applicable)

description
string | null

Description of the test clock's purpose

name
string | null

Name of the test clock